Create a rule
https://{kibana_url}
- POST /api/alerting/rule/{id}
- POST /s/{space_id}/api/alerting/rule/{id}
Refer to Spaces for more information.
Path Parameters
-
idstringrequired -
The identifier for the rule. If it is omitted, an ID is randomly generated.
Request
-
actionsobject · default: [] -
alerts_filterobject -
Conditions that affect whether the action runs. If you specify multiple conditions, all conditions must be met for the action to run. For example, if an alert occurs within the specified time frame and matches the query, the action runs.
-
queryobject -
timeframeobject -
Defines a period that limits whether the action runs.
-
daysrequired -
Defines the days of the week that the action can run, represented as an array of numbers. For example,
1represents Monday. An empty array is equivalent to specifying all the days of the week. -
Values:
1234567 -
hoursobjectrequired -
Defines the range of time in a day that the action can run. If the
startvalue is00:00and theendvalue is24:00, actions be generated all day. -
timezonestringrequired -
The ISO time zone for the
hoursvalues. Values such asUTCandUTC+1also work but lack built-in daylight savings time support and are not recommended. -
frequencyobject -
notify_whenrequired -
Indicates how often alerts generate actions. Valid values include:
onActionGroupChange: Actions run when the alert status changes;onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met;onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specifynotify_whenat both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
Values:
onActionGroupChangeonActiveAlertonThrottleInterval -
summarybooleanrequired -
Indicates whether the action is a summary.
-
throttlestringrequired nullable -
The throttle interval, which defines how often an alert generates repeated actions. It is specified in seconds, minutes, hours, or days and is applicable only if
notify_whenis set toonThrottleInterval. NOTE: You cannot specify the throttle interval at both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
groupstring -
The group name, which affects when the action runs (for example, when the threshold is met or when the alert is recovered). Each rule type has a list of valid action group names. If you don't need to group actions, set to
default. -
idstringrequired -
The identifier for the connector saved object.
-
paramsmap string to object · default: {} -
The parameters for the action, which are sent to the connector. The
paramsare handled as Mustache templates and passed a default set of context. -
use_alert_data_for_templateboolean -
Indicates whether to use alert data as a template.
-
uuidstring -
A universally unique identifier (UUID) for the action.
-
alert_delayobject -
Indicates that an alert occurs only when the specified number of consecutive runs met the rule conditions.
-
activenumberrequired -
The number of consecutive runs that must meet the rule conditions.
-
artifactsobject -
dashboardsobject · max: 10 -
idstringrequired -
investigation_guideobject -
blobstring · max: 10000required -
consumerstringrequired -
The name of the application or feature that owns the rule. For example:
alerts,apm,discover,infrastructure,logs,metrics,ml,monitoring,securitySolution,siem,stackAlerts, oruptime. -
enabledboolean · default: true -
Indicates whether you want to run the rule on an interval basis after it is created.
-
flappingobjectnullable -
When flapping detection is turned on, alerts that switch quickly between active and recovered states are identified as “flapping” and notifications are reduced.
-
look_back_windownumber · min: 2 · max: 20required -
The minimum number of runs in which the threshold must be met.
-
status_change_thresholdnumber · min: 2 · max: 20required -
The minimum number of times an alert must switch states in the look back window.
-
namestringrequired -
The name of the rule. While this name does not have to be unique, a distinctive name can help you identify a rule.
-
notify_whennullable -
Indicates how often alerts generate actions. Valid values include:
onActionGroupChange: Actions run when the alert status changes;onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met;onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specifynotify_whenat both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
Values:
onActionGroupChangeonActiveAlertonThrottleInterval -
rule_type_idstringrequired -
The rule type identifier.
-
scheduleobjectrequired -
The check interval, which specifies how frequently the rule conditions are checked.
-
intervalstringrequired -
The interval is specified in seconds, minutes, hours, or days.
-
The tags for the rule.
-
throttlestringnullable -
Use the
throttleproperty in the actionfrequencyobject instead. The throttle interval, which defines how often an alert generates repeated actions. NOTE: You cannot specify the throttle interval at both the rule and action level. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
paramsanyOf · default: {} -
The parameters for the rule.
-
serviceNamestring -
The service name from APM
-
transactionTypestring -
The transaction type from APM
-
windowSizenumberrequired -
The window size
-
environmentstringrequired -
The environment from APM
-
serviceNamestring -
The service name from APM
-
windowSizenumberrequired -
The window size
-
environmentstringrequired -
The environment from APM
-
thresholdnumberrequired -
The error count threshold value
-
groupBy· unique · default: [ "service.name", "service.environment" ] -
Values:
service.nameservice.environmenttransaction.nameerror.grouping_key -
errorGroupingKeystring -
serviceNamestring -
The service name from APM
-
transactionTypestring -
The transaction type from APM
-
transactionNamestring -
The transaction name from APM
-
windowSizenumberrequired -
The window size
-
environmentstringrequired -
thresholdnumberrequired -
The latency threshold value
-
groupBy· unique · default: [ "service.name", "service.environment", "transaction.type" ] -
Values:
service.nameservice.environmenttransaction.typetransaction.name -
aggregationTyperequired -
Values:
avg95th99th -
serviceNamestring -
The service name from APM
-
transactionTypestring -
The transaction type from APM
-
transactionNamestring -
The transaction name from APM
-
windowSizenumberrequired -
The window size
-
environmentstringrequired -
The environment from APM
-
thresholdnumberrequired -
The error rate threshold value
-
groupBy· unique · default: [ "service.name", "service.environment", "transaction.type" ] -
Values:
service.nameservice.environmenttransaction.typetransaction.name -
aggFieldstring -
The name of the numeric field that is used in the aggregation. This property is required when
aggTypeisavg,max,minorsum. -
esQuerystringrequired -
The query definition, which uses Elasticsearch Query DSL.
-
excludeHitsFromPreviousRunboolean -
Indicates whether to exclude matches from previous runs. If
true, you can avoid alert duplication by excluding documents that have already been detected by the previous rule run. This option is not available when a grouping field is specified. -
groupBygroupby · default: all -
Indicates whether the aggregation is applied over all documents (
all) or split into groups (top) using a grouping field (termField). If grouping is used, an alert will be created for each group when it exceeds the threshold; only the top groups (up totermSizenumber of groups) are checked. -
Values:
alltop -
indexstring | stringrequired -
The indices to query.
-
searchType· default: esQuery -
The type of query, in this case a query that uses Elasticsearch Query DSL.
-
Values:
esQuery -
sizeinteger -
The number of documents to pass to the configured actions when the threshold condition is met.
-
termFieldtermfield -
The names of up to four fields that are used for grouping the aggregation. This property is required when
groupByistop. -
termSizeinteger -
This property is required when
groupByistop. It specifies the number of groups to check against the threshold and therefore limits the number of alerts on high cardinality fields. -
thresholdthresholdrequired -
The threshold value that is used with the
thresholdComparator. If thethresholdComparatorisbetweenornotBetween, you must specify the boundary values. -
thresholdComparatorthresholdcomparatorrequired -
The comparison function for the threshold. For example, "is above", "is above or equals", "is below", "is below or equals", "is between", and "is not between".
-
Values:
>>=<<=betweennotBetween -
timeFieldstringrequired -
The field that is used to calculate the time window.
-
timeWindowSizeintegerrequired -
The size of the time window (in
timeWindowUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
timeWindowUnittimewindowunitrequired -
The type of units for the time window: seconds, minutes, hours, or days.
-
Values:
smhd -
aggFieldstring -
The name of the numeric field that is used in the aggregation. This property is required when
aggTypeisavg,max,minorsum. -
esqlQueryobjectrequired -
esqlstringrequired -
The query definition, which uses Elasticsearch Query Language.
-
excludeHitsFromPreviousRunboolean -
Indicates whether to exclude matches from previous runs. If
true, you can avoid alert duplication by excluding documents that have already been detected by the previous rule run. This option is not available when a grouping field is specified. -
groupBygroupby · default: all -
Indicates whether the aggregation is applied over all documents (
all) or split into groups (top) using a grouping field (termField). If grouping is used, an alert will be created for each group when it exceeds the threshold; only the top groups (up totermSizenumber of groups) are checked. -
Values:
alltop -
searchTyperequired -
The type of query, in this case a query that uses Elasticsearch Query Language (ES|QL).
-
Values:
esqlQuery -
sizeintegerrequired -
When
searchTypeisesqlQuery, this property is required but it does not affect the rule behavior. -
termSizeinteger -
This property is required when
groupByistop. It specifies the number of groups to check against the threshold and therefore limits the number of alerts on high cardinality fields. -
thresholdintegerrequired -
The threshold value that is used with the
thresholdComparator. WhensearchTypeisesqlQuery, this property is required and must be set to zero. -
thresholdComparatorrequired -
The comparison function for the threshold. When
searchTypeisesqlQuery, this property is required and must be set to ">". Since thethresholdvalue must be0, the result is that an alert occurs whenever the query returns results. -
Values:
> -
timeFieldstring -
The field that is used to calculate the time window.
-
timeWindowSizeintegerrequired -
The size of the time window (in
timeWindowUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
timeWindowUnittimewindowunitrequired -
The type of units for the time window: seconds, minutes, hours, or days.
-
Values:
smhd -
aggFieldstring -
The name of the numeric field that is used in the aggregation. This property is required when
aggTypeisavg,max,minorsum. -
excludeHitsFromPreviousRunboolean -
Indicates whether to exclude matches from previous runs. If
true, you can avoid alert duplication by excluding documents that have already been detected by the previous rule run. This option is not available when a grouping field is specified. -
groupBygroupby · default: all -
Indicates whether the aggregation is applied over all documents (
all) or split into groups (top) using a grouping field (termField). If grouping is used, an alert will be created for each group when it exceeds the threshold; only the top groups (up totermSizenumber of groups) are checked. -
Values:
alltop -
searchConfigurationobject -
The query definition, which uses KQL or Lucene to fetch the documents from Elasticsearch.
-
searchTyperequired -
The type of query, in this case a text-based query that uses KQL or Lucene.
-
Values:
searchSource -
sizeintegerrequired -
The number of documents to pass to the configured actions when the threshold condition is met.
-
termFieldtermfield -
The names of up to four fields that are used for grouping the aggregation. This property is required when
groupByistop. -
termSizeinteger -
This property is required when
groupByistop. It specifies the number of groups to check against the threshold and therefore limits the number of alerts on high cardinality fields. -
thresholdthresholdrequired -
The threshold value that is used with the
thresholdComparator. If thethresholdComparatorisbetweenornotBetween, you must specify the boundary values. -
thresholdComparatorthresholdcomparatorrequired -
The comparison function for the threshold. For example, "is above", "is above or equals", "is below", "is below or equals", "is between", and "is not between".
-
Values:
>>=<<=betweennotBetween -
timeFieldstring -
The field that is used to calculate the time window.
-
timeWindowSizeintegerrequired -
The size of the time window (in
timeWindowUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
timeWindowUnittimewindowunitrequired -
The type of units for the time window: seconds, minutes, hours, or days.
-
Values:
smhd -
aggFieldstring -
The name of the numeric field that is used in the aggregation. This property is required when
aggTypeisavg,max,minorsum. -
filterKuerystring -
A KQL expression thats limits the scope of alerts.
-
groupBygroupby · default: all -
Indicates whether the aggregation is applied over all documents (
all) or split into groups (top) using a grouping field (termField). If grouping is used, an alert will be created for each group when it exceeds the threshold; only the top groups (up totermSizenumber of groups) are checked. -
Values:
alltop -
indexstringrequired -
The indices to query.
-
termFieldtermfield -
The names of up to four fields that are used for grouping the aggregation. This property is required when
groupByistop. -
termSizeinteger -
This property is required when
groupByistop. It specifies the number of groups to check against the threshold and therefore limits the number of alerts on high cardinality fields. -
thresholdthresholdrequired -
The threshold value that is used with the
thresholdComparator. If thethresholdComparatorisbetweenornotBetween, you must specify the boundary values. -
thresholdComparatorthresholdcomparatorrequired -
The comparison function for the threshold. For example, "is above", "is above or equals", "is below", "is below or equals", "is between", and "is not between".
-
Values:
>>=<<=betweennotBetween -
timeFieldstringrequired -
The field that is used to calculate the time window.
-
timeWindowSizeintegerrequired -
The size of the time window (in
timeWindowUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
timeWindowUnittimewindowunitrequired -
The type of units for the time window: seconds, minutes, hours, or days.
-
Values:
smhd -
criteriaobject -
metric -
Values:
countcpudiskLatencyloadmemorymemoryTotaltxrxlogRatediskIOReadBytesdiskIOWriteBytess3TotalRequestss3NumberOfObjectss3BucketSizes3DownloadBytess3UploadBytesrdsConnectionsrdsQueriesExecutedrdsActiveTransactionsrdsLatencysqsMessagesVisiblesqsMessagesDelayedsqsMessagesSentsqsMessagesEmptysqsOldestMessagecustom -
timeSizenumber -
timeUnit -
Values:
smhd -
sourceIdstring -
thresholdnumber -
comparator -
Values:
<<=>>=betweenoutside -
customMetricobject -
type -
Values:
custom -
fieldstring -
aggregation -
Values:
avgmaxminrate -
idstring -
labelstring -
warningThresholdnumber -
warningComparator -
Values:
<<=>>=betweenoutside -
filterQuerystring -
filterQueryTextstring -
nodeType -
Values:
hostpodcontainerawsEC2awsS3awsSQSawsRDS -
sourceIdstring -
alertOnNoDataboolean -
criteriaoneOf -
thresholdnumber -
The threshold value that is used with the
comparator. If thecomparatorisbetween, you must specify the boundary values. -
comparator -
The comparison function for the threshold. For example, "is above", "is above or equals", "is below", "is below or equals", "is between", and "outside".
-
Values:
<<=>>=betweenoutside -
timeSizenumber -
The size of the time window (in
timeUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
warningThresholdnumber -
The threshold value that is used with the
warningComparator. If thewarningComparatorisbetween, you must specify the boundary values. -
warningComparator -
Values:
<<=>>=betweenoutside -
metricstring -
aggType -
Values:
avgmaxmincardinalityratecountsump95p99custom -
thresholdnumber -
comparator -
Values:
<<=>>=betweenoutside -
timeSizenumber -
The size of the time window (in
timeUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
warningThresholdnumber -
warningComparator -
Values:
<<=>>=betweenoutside -
aggType -
Values:
count -
thresholdnumber -
comparator -
Values:
<<=>>=betweenoutside -
timeSizenumber -
The size of the time window (in
timeUnitunits), which determines how far back to search for documents. Generally it should be a value higher than the rule check interval to avoid gaps in detection. -
warningThresholdnumber -
warningComparator -
Values:
<<=>>=betweenoutside -
aggType -
Values:
custom -
customMetriconeOf -
equationstring -
labelstring -
groupBystring | string -
Create an alert for every unique value of the specified fields. For example, you can create a rule per host or every mount point of each host. IMPORTANT: If you include the same field in both the
filterQueryandgroupBy, you might receive fewer results than you expect. For example, if you filter bycloud.region: us-east, grouping bycloud.regionwill have no effect because the filter query can match only one region. -
filterQuerystring -
A query that limits the scope of the rule. The rule evaluates only metric data that matches the query.
-
sourceIdstring -
alertOnNoDataboolean -
If true, an alert occurs if the metrics do not report any data over the expected period or if the query fails.
-
alertOnGroupDisappearboolean -
If true, an alert occurs if a group that previously reported metrics does not report them again over the expected time period. This check is not recommended for dynamically scaling infrastructures that might rapidly start and stop nodes automatically.
-
sloIdstring -
The SLO identifier used by the rule
-
burnRateThresholdnumber -
The burn rate threshold used to trigger the alert
-
maxBurnRateThresholdnumber -
The maximum burn rate threshold value defined by the SLO error budget
-
longWindowobject -
The duration of the long window used to compute the burn rate
-
shortWindowobject -
The duration of the short window used to compute the burn rate
-
searchstring -
certExpirationThresholdnumber -
certAgeThresholdnumber -
availabilityobject -
filtersoneOf -
monitor.typestring -
observer.geo.namestring -
url.portstring -
locationsstringdeprecated -
numTimesnumberrequired -
searchstring -
shouldCheckStatusbooleanrequired -
shouldCheckAvailabilitybooleanrequired -
timerangeCountnumber -
timerangeUnitstring -
versionnumber -
isAutoGeneratedboolean
The parameters for the APM anomaly rule. These parameters are appropriate when rule_type_id is apm.rules.anomaly.
The parameters for the APM error count rule. These parameters are appropriate when rule_type_id is apm.error_rate.
The parameters for the APM transaction duration rule. These parameters are appropriate when rule_type_id is apm.transaction_duration.
The parameters for the APM transaction error rate rule. These parameters are appropriate when rule_type_id is apm.transaction_error_rate.
An Elasticsearch query rule can run a query defined in Elasticsearch Query DSL and compare the number of matches to a configured threshold. These parameters are appropriate when rule_type_id is .es-query.
An Elasticsearch query rule can run an ES|QL query and compare the number of matches to a configured threshold. These parameters are appropriate when rule_type_id is .es-query.
An Elasticsearch query rule can run a query defined in KQL or Lucene and compare the number of matches to a configured threshold. These parameters are appropriate when rule_type_id is .es-query.
An index threshold rule runs an Elasticsearch query, aggregates field values from documents, compares them to threshold values, and schedules actions to run when the thresholds are met. These parameters are appropriate when rule_type_id is .index-threshold.
The parameters for the infrastructure inventory rule. These parameters are appropriate when rule_type_id is metrics.alert.inventory.threshold.
The parameters for the metric threshold rule. These parameters are appropriate when rule_type_id is metrics.alert.threshold.
The parameters for the SLO burn rate rule. These parameters are appropriate when rule_type_id is slo.rules.burnRate.
The parameters for the synthetics TLS certificate rule. These parameters are appropriate when rule_type_id is xpack.uptime.alerts.tls.
The parameters for the Synthetics monitor status rule. These parameters are appropriate when rule_type_id is xpack.uptime.alerts.monitorStatus.
string
Responses
Indicates a successful call.
-
actionsobjectrequired -
alerts_filterobject -
Defines a period that limits whether the action runs.
-
queryobject -
timeframeobject -
daysrequired -
Defines the days of the week that the action can run, represented as an array of numbers. For example,
1represents Monday. An empty array is equivalent to specifying all the days of the week. -
Values:
1234567 -
hoursobjectrequired -
timezonestringrequired -
The ISO time zone for the
hoursvalues. Values such asUTCandUTC+1also work but lack built-in daylight savings time support and are not recommended. -
connector_type_idstringrequired -
The type of connector. This property appears in responses but cannot be set in requests.
-
frequencyobject -
notify_whenrequired -
Indicates how often alerts generate actions. Valid values include:
onActionGroupChange: Actions run when the alert status changes;onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met;onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specifynotify_whenat both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
Values:
onActionGroupChangeonActiveAlertonThrottleInterval -
summarybooleanrequired -
Indicates whether the action is a summary.
-
throttlestringrequired nullable -
The throttle interval, which defines how often an alert generates repeated actions. It is specified in seconds, minutes, hours, or days and is applicable only if 'notify_when' is set to 'onThrottleInterval'. NOTE: You cannot specify the throttle interval at both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values.
-
groupstring -
The group name, which affects when the action runs (for example, when the threshold is met or when the alert is recovered). Each rule type has a list of valid action group names. If you don't need to group actions, set to
default. -
idstringrequired -
The identifier for the connector saved object.
-
paramsmap string to objectrequired -
The parameters for the action, which are sent to the connector. The
paramsare handled as Mustache templates and passed a default set of context. -
use_alert_data_for_templateboolean -
Indicates whether to use alert data as a template.
-
uuidstring -
A universally unique identifier (UUID) for the action.
-
active_snoozesstring -
alert_delayobject -
Indicates that an alert occurs only when the specified number of consecutive runs met the rule conditions.
-
activenumberrequired -
The number of consecutive runs that must meet the rule conditions.
-
api_key_created_by_userbooleannullable -
Indicates whether the API key that is associated with the rule was created by the user.
-
api_key_ownerstringrequired nullable -
The owner of the API key that is associated with the rule and used to run background tasks.
-
artifactsobject -
dashboardsobject -
idstringrequired -
investigation_guideobject -
blobstringrequired -
User-created content that describes alert causes and remdiation.
-
consumerstringrequired -
The name of the application or feature that owns the rule. For example:
alerts,apm,discover,infrastructure,logs,metrics,ml,monitoring,securitySolution,siem,stackAlerts, oruptime. -
created_atstringrequired -
The date and time that the rule was created.
-
created_bystringrequired nullable -
The identifier for the user that created the rule.
-
enabledbooleanrequired -
Indicates whether you want to run the rule on an interval basis after it is created.
-
execution_statusobjectrequired -
errorobject -
last_durationnumber -
Duration of last execution of the rule.
-
last_execution_datestringrequired -
The date and time when rule was executed last.
-
flappingobjectnullable -
When flapping detection is turned on, alerts that switch quickly between active and recovered states are identified as “flapping” and notifications are reduced.
-
look_back_windownumber · min: 2 · max: 20required -
The minimum number of runs in which the threshold must be met.
-
status_change_thresholdnumber · min: 2 · max: 20required -
The minimum number of times an alert must switch states in the look back window.
-
idstringrequired -
The identifier for the rule.
-
is_snoozed_untilstringnullable -
The date when the rule will no longer be snoozed.
-
last_runobjectnullable -
alerts_countobjectrequired -
outcomerequired -
Outcome of last run of the rule. Value could be succeeded, warning or failed.
-
Values:
succeededwarningfailed -
outcome_msgstringnullable -
outcome_ordernumber -
Order of the outcome.
-
warningnullable -
Warning of last rule execution.
-
Values:
readdecryptexecuteunknownlicensetimeoutdisabledvalidatemaxExecutableActionsmaxAlertsmaxQueuedActionsruleExecution -
mapped_paramsmap string to object -
monitoringobject -
Monitoring details of the rule.
-
runobjectrequired -
Rule run details.
-
calculated_metricsobjectrequired -
Calculation of different percentiles and success ratio.
-
p50number -
p95number -
p99number -
success_rationumberrequired -
historyobjectrequired -
History of the rule run.
-
last_runobjectrequired -
metricsobjectrequired -
durationnumber -
Duration of most recent rule run.
-
gap_duration_snumbernullable -
Duration in seconds of rule run gap.
-
gap_rangeobjectnullable -
total_alerts_creatednumbernullable -
Total number of alerts created during last rule run.
-
total_alerts_detectednumbernullable -
Total number of alerts detected during last rule run.
-
total_indexing_duration_msnumbernullable -
Total time spent indexing documents during last rule run in milliseconds.
-
total_search_duration_msnumbernullable -
Total time spent performing Elasticsearch searches as measured by Kibana; includes network latency and time spent serializing or deserializing the request and response.
-
timestampstringrequired -
Time of the most recent rule run.
-
mute_allbooleanrequired -
Indicates whether all alerts are muted.
-
muted_alert_idsstringrequired -
namestringrequired -
The name of the rule.
-
next_runstringnullable -
Date and time of the next run of the rule.
-
notify_whennullable -
Indicates how often alerts generate actions. Valid values include:
onActionGroupChange: Actions run when the alert status changes;onActiveAlert: Actions run when the alert becomes active and at each check interval while the rule conditions are met;onThrottleInterval: Actions run when the alert becomes active and at the interval specified in the throttle property while the rule conditions are met. NOTE: You cannot specifynotify_whenat both the rule and action level. The recommended method is to set it for each action. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
Values:
onActionGroupChangeonActiveAlertonThrottleInterval -
paramsmap string to objectrequired -
The parameters for the rule.
-
revisionnumberrequired -
The rule revision number.
-
rule_type_idstringrequired -
The rule type identifier.
-
runningbooleannullable -
Indicates whether the rule is running.
-
scheduleobjectrequired -
intervalstringrequired -
The interval is specified in seconds, minutes, hours, or days.
-
scheduled_task_idstring -
Identifier of the scheduled task.
-
snooze_scheduleobject -
durationnumberrequired -
Duration of the rule snooze schedule.
-
idstring -
Identifier of the rule snooze schedule.
-
rRuleobjectrequired -
byhournumbernullable -
byminutenumbernullable -
bymonthnumbernullable -
bymonthdaynumbernullable -
bysecondnumbernullable -
bysetposnumbernullable -
byweekdaynumber | stringnullable -
byweeknonumbernullable -
byyeardaynumbernullable -
countnumber -
Number of times the rule should recur until it stops.
-
dtstartstringrequired -
Rule start date in Coordinated Universal Time (UTC).
-
freq -
Indicates frequency of the rule. Options are YEARLY, MONTHLY, WEEKLY, DAILY.
-
Values:
0123456 -
intervalnumber -
Indicates the interval of frequency. For example, 1 and YEARLY is every 1 year, 2 and WEEKLY is every 2 weeks.
-
tzidstringrequired -
Indicates timezone abbreviation.
-
untilstring -
Recur the rule until this date.
-
skipRecurrencesstring -
throttlestringnullable deprecated -
Deprecated in 8.13.0. Use the
throttleproperty in the actionfrequencyobject instead. The throttle interval, which defines how often an alert generates repeated actions. NOTE: You cannot specify the throttle interval at both the rule and action level. If you set it at the rule level then update the rule in Kibana, it is automatically changed to use action-specific values. -
updated_atstringrequired -
The date and time that the rule was updated most recently.
-
updated_bystringrequired nullable -
The identifier for the user that updated this rule most recently.
-
view_in_app_relative_urlstringnullable -
Relative URL to view rule in the app.
Indicates an invalid schema or parameters.
Indicates that this call is forbidden.
Indicates that the rule id is already in use.